.main-screen { width: 100%; height: 100%; background-color: #fff; position: fixed; top: 0; left: 0; pointer-events: none; }

.main-note { position: fixed; bottom: 1rem; right: 1rem; color: #FFF; z-index: 0; text-shadow: 0 0 1rem #000, 0 0 2rem #000; }

.main-note-anchor { margin-top: -15%; }

#main-wrap { overflow: hidden; background-color: #fff; width: 100%; }
#main-wrap #main { position: absolute; top: 0; left: 0; width: 100%; height: 100vh; overflow: hidden; }
#main-wrap #main .main-visual { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }
#main-wrap #main .main-visual img { width: 100%; height: 100%; object-fit: cover; object-position: 50% 0%; }
#main-wrap.onLeave { position: absolute; bottom: 0%; }
#main-wrap.onLeave .main-visual { object-position: 50% 100%; }

#main-spacer { width: 100%; height: 200vh; }

#contents { width: 100%; position: relative; z-index: 100; }
#contents img { font-size: 0; }
#contents.first-motion { margin-top: -150vh; }

.maincopy-wrap { position: fixed; top: 15%; left: 10%; width: 22%; min-width: 200px; opacity: 1; transition: opacity 0.5s linear 1s; }
.maincopy-wrap img { width: 100%; height: auto; }
.maincopy-wrap .maincopy-inner { position: relative; }
.maincopy-wrap .maincopy-inner .maincopy-line-cls { position: absolute; top: 0; left: 0; width: 100%; margin-top: 29%; }
.maincopy-wrap .maincopy-inner .maincopy-line-cls.maincopy-line-1 { margin-left: -16.5%; margin-top: 0%; }

@media screen and (max-width: 1000px) { #main-wrap { max-height: 1200px; width: 100%; height: 100vh; position: absolute; top: 0; left: 0; }
  #main-wrap #main { bottom: auto; top: 0 !important; width: 100%; max-height: 1200px; }
  #main-wrap #main .main-visual img { width: 100%; height: 100%; margin-left: 0%; }
  #main-spacer { height: 1200px; max-height: 1200px; margin-bottom: -5%; } }
@media screen and (max-width: 600px) { #main-wrap { max-height: 700px; height: 100vh; width: 100%; position: absolute; top: 0; left: 0; }
  #main-wrap #main { bottom: auto; top: 0 !important; /*width:500px;*/ max-height: 700px; }
  #main-wrap #main .main-visual img { width: 100%; height: 100%; margin-left: 0%; }
  #main-spacer { height: 700px; max-height: 700px; margin-bottom: -5%; }
  .maincopy-wrap { width: 30%; min-width: 100px; top: calc(50px + 6%); position: absolute; } }
